KWIN_PROTO_ISCALE_FUNC(3)

PROTO_FUNC
kwin_PROTO_iscale_func - Intensity scale function.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_PROTO_iscale_func

(double *out, unsigned int out_stride, double *inp, unsigned int inp_stride, unsigned int num_values, double i_min, double i_max, void *info)

DESCRIPTION
This routine will perform an arbitrary intensity scaling on an array of values. This routine may be called many times to scale an image.

out The output array.

out_stride
    The stride (in doubles) of the output array.

inp The input array.

inp_stride
    The stride (in doubles) of the input array.

num_values
    The number of values to scale.

i_min
    The minimum intensity value.

i_max
    The maximum intensity value.

info
    A pointer to arbitrary information.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/